SecurityManager (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.SecurityManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface SecurityManager

All Superinterfaces:
  Initialisable

All Known Implementing Classes:
  MuleSecurityManager

    public interface SecurityManager

extends Initialisable

`SecurityManager` is responsible for managing one or more security providers.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`void` | `addEncryptionStrategy(EncryptionStrategy strategy)`
`void` | `addProvider(SecurityProvider provider)`
`Authentication` | `authenticate(Authentication authentication)`
`SecurityContext` | `createSecurityContext(Authentication authentication)`
`Collection` | `getEncryptionStrategies()`
`EncryptionStrategy` | `getEncryptionStrategy(String name)`
`SecurityProvider` | `getProvider(String name)`
`Collection` | `getProviders()`
`EncryptionStrategy` | `removeEncryptionStrategy(String name)`
`SecurityProvider` | `removeProvider(String name)`
`void` | `setEncryptionStrategies(Collection strategies)`
`void` | `setProviders(Collection providers)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Method Detail

### authenticate

    Authentication authenticate(Authentication authentication)
                                throws SecurityException,
                                       SecurityProviderNotFoundException

  Throws:
    `SecurityException`
    `SecurityProviderNotFoundException`

### addProvider

    void addProvider(SecurityProvider provider)

### getProvider

    SecurityProvider getProvider(String name)

### removeProvider

    SecurityProvider removeProvider(String name)

### getProviders

    Collection getProviders()

### setProviders

    void setProviders(Collection providers)

### createSecurityContext

    SecurityContext createSecurityContext(Authentication authentication)
                                          throws UnknownAuthenticationTypeException

  Throws:
    `UnknownAuthenticationTypeException`

### getEncryptionStrategy

    EncryptionStrategy getEncryptionStrategy(String name)

### addEncryptionStrategy

    void addEncryptionStrategy(EncryptionStrategy strategy)

### removeEncryptionStrategy

    EncryptionStrategy removeEncryptionStrategy(String name)

### getEncryptionStrategies

    Collection getEncryptionStrategies()

### setEncryptionStrategies

    void setEncryptionStrategies(Collection strategies)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.